import { Command, flags } from '@oclif/command';
export default class Swagger2Openapi extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        format: flags.IOptionFlag<string>;
        json: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        yaml: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        server: flags.IOptionFlag<string[]>;
        dereference: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        validate: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        description: string;
        required: boolean;
    }[];
    run(): Promise<void>;
}
