import * as SwaggerParser from 'swagger-parser';
interface ParseOpts {
    definition: string;
    dereference?: boolean;
    validate?: boolean;
    servers?: string[];
}
export declare function parseDefinition({ definition, dereference, validate, servers, }: ParseOpts): Promise<SwaggerParser.Document>;
export declare enum OutputFormat {
    JSON = "json",
    YAML = "yaml"
}
interface OutputOpts {
    document: SwaggerParser.Document;
    format?: OutputFormat;
}
export declare function stringifyDocument({ document, format }: OutputOpts): string;
export {};
