import { Command, flags } from '@oclif/command';
export default class Init extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        format: flags.IOptionFlag<string>;
        json: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        yaml: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        server: flags.IOptionFlag<string[]>;
        title: flags.IOptionFlag<string>;
        description: flags.IOptionFlag<string>;
        version: flags.IOptionFlag<string>;
        terms: flags.IOptionFlag<string>;
        license: flags.IOptionFlag<string>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: any[];
    run(): Promise<void>;
}
