import { Command, flags } from '@oclif/command';
export default class SwaggerUI extends Command {
    static description: string;
    static examples: string[];
    static flags: {
        bundle: flags.IOptionFlag<string>;
        proxy: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        expand: flags.IOptionFlag<string>;
        operationids: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        filter: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        deeplinks: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        withcredentials: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        requestduration: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        server: flags.IOptionFlag<string[]>;
        port: import("@oclif/parser/lib/flags").IOptionFlag<number>;
        logger: import("@oclif/parser/lib/flags").IBooleanFlag<boolean>;
        help: import("@oclif/parser/lib/flags").IBooleanFlag<void>;
    };
    static args: {
        name: string;
        description: string;
    }[];
    run(): Promise<void>;
}
