import { flags } from '@oclif/command';
import { IOptionFlag, IBooleanFlag } from '@oclif/parser/lib/flags';
export declare const help: (overrides?: Partial<IBooleanFlag<boolean>>) => {
    help: IBooleanFlag<void>;
};
export declare const servers: () => {
    server: flags.IOptionFlag<string[]>;
};
export declare const parseOpts: () => {
    server: flags.IOptionFlag<string[]>;
    dereference: IBooleanFlag<boolean>;
    validate: IBooleanFlag<boolean>;
};
export declare const serverOpts: () => {
    port: IOptionFlag<number>;
    logger: IBooleanFlag<boolean>;
};
export declare const outputFormat: () => {
    format: flags.IOptionFlag<string>;
    json: IBooleanFlag<boolean>;
    yaml: IBooleanFlag<boolean>;
};
export declare const swaggerUIOpts: () => {
    expand: flags.IOptionFlag<string>;
    operationids: IBooleanFlag<boolean>;
    filter: IBooleanFlag<boolean>;
    deeplinks: IBooleanFlag<boolean>;
    withcredentials: IBooleanFlag<boolean>;
    requestduration: IBooleanFlag<boolean>;
};
