/// <reference types="node" />
/// <reference types="koa-bodyparser" />
import * as Koa from 'koa';
import { Server } from 'http';
interface CreateServerOpts {
    logger?: boolean;
}
export declare function createServer(opts?: CreateServerOpts): Koa<any, {}>;
interface StartServerOpts {
    app: Koa;
    port: number;
}
export declare function startServer(opts: StartServerOpts): Promise<{
    server: Server;
    port: number;
}>;
export {};
